VTK: vtkLargeInteger Class Reference

| VTK 9.3.1

Public Member Functions | Friends | List of all members
vtkLargeInteger Class Reference

class for arbitrarily large ints More...

`#include <vtkLargeInteger.h>`

## Public Member Functions
| vtkLargeInteger ()
| vtkLargeInteger (long n)
| vtkLargeInteger (unsigned long n)
| vtkLargeInteger (int n)
| vtkLargeInteger (unsigned int n)
| vtkLargeInteger (const vtkLargeInteger &n)
| vtkLargeInteger (long long n)
| vtkLargeInteger (unsigned long long n)
| ~vtkLargeInteger ()
char | CastToChar () const
short | CastToShort () const
int | CastToInt () const
long | CastToLong () const
unsigned long | CastToUnsignedLong () const
int | IsEven () const
int | IsOdd () const
int | GetLength () const
int | GetBit (unsigned int p) const
int | IsZero () const
int | GetSign () const
void | Truncate (unsigned int n)
void | Complement ()
bool | operator== (const vtkLargeInteger &n) const
bool | operator!= (const vtkLargeInteger &n) const
bool | operator< (const vtkLargeInteger &n) const
bool | operator<= (const vtkLargeInteger &n) const
bool | operator> (const vtkLargeInteger &n) const
bool | operator>= (const vtkLargeInteger &n) const
vtkLargeInteger & | operator= (const vtkLargeInteger &n)
vtkLargeInteger & | operator+= (const vtkLargeInteger &n)
vtkLargeInteger & | operator-= (const vtkLargeInteger &n)
vtkLargeInteger & | operator<<= (int n)
vtkLargeInteger & | operator>>= (int n)
vtkLargeInteger & | operator++ ()
vtkLargeInteger & | operator-- ()
vtkLargeInteger | operator++ (int)
vtkLargeInteger | operator-- (int)
vtkLargeInteger & | operator*= (const vtkLargeInteger &n)
vtkLargeInteger & | operator/= (const vtkLargeInteger &n)
vtkLargeInteger & | operator%= (const vtkLargeInteger &n)
vtkLargeInteger & | operator&= (const vtkLargeInteger &n)
vtkLargeInteger & | operator|= (const vtkLargeInteger &n)
vtkLargeInteger & | operator^= (const vtkLargeInteger &n)
vtkLargeInteger | operator+ (const vtkLargeInteger &n) const
vtkLargeInteger | operator- (const vtkLargeInteger &n) const
vtkLargeInteger | operator* (const vtkLargeInteger &n) const
vtkLargeInteger | operator/ (const vtkLargeInteger &n) const
vtkLargeInteger | operator% (const vtkLargeInteger &n) const
vtkLargeInteger | operator& (const vtkLargeInteger &n) const
vtkLargeInteger | operator| (const vtkLargeInteger &n) const
vtkLargeInteger | operator^ (const vtkLargeInteger &n) const
vtkLargeInteger | operator<< (int n) const
vtkLargeInteger | operator>> (int n) const

## Friends
ostream & | operator<< (ostream &s, const vtkLargeInteger &n)
istream & | operator>> (istream &s, vtkLargeInteger &n)

## Detailed Description

class for arbitrarily large ints

Definition at line 15 of file vtkLargeInteger.h.

## Constructor & Destructor Documentation

## ◆ vtkLargeInteger() [1/8]

vtkLargeInteger::vtkLargeInteger | ( |  | ) |

## ◆ vtkLargeInteger() [2/8]

vtkLargeInteger::vtkLargeInteger | ( | long | n | ) |

## ◆ vtkLargeInteger() [3/8]

vtkLargeInteger::vtkLargeInteger | ( | unsigned long | n | ) |

## ◆ vtkLargeInteger() [4/8]

vtkLargeInteger::vtkLargeInteger | ( | int | n | ) |

## ◆ vtkLargeInteger() [5/8]

vtkLargeInteger::vtkLargeInteger | ( | unsigned int | n | ) |

## ◆ vtkLargeInteger() [6/8]

vtkLargeInteger::vtkLargeInteger | ( | const vtkLargeInteger & | n | ) |

## ◆ vtkLargeInteger() [7/8]

vtkLargeInteger::vtkLargeInteger | ( | long long | n | ) |

## ◆ vtkLargeInteger() [8/8]

vtkLargeInteger::vtkLargeInteger | ( | unsigned long long | n | ) |

## ◆ ~vtkLargeInteger()

vtkLargeInteger::~vtkLargeInteger | ( |  | ) |

## Member Function Documentation

## ◆ CastToChar()

char vtkLargeInteger::CastToChar | ( |  | ) | const

## ◆ CastToShort()

short vtkLargeInteger::CastToShort | ( |  | ) | const

## ◆ CastToInt()

int vtkLargeInteger::CastToInt | ( |  | ) | const

## ◆ CastToLong()

long vtkLargeInteger::CastToLong | ( |  | ) | const

## ◆ CastToUnsignedLong()

unsigned long vtkLargeInteger::CastToUnsignedLong | ( |  | ) | const

## ◆ IsEven()

int vtkLargeInteger::IsEven | ( |  | ) | const

## ◆ IsOdd()

int vtkLargeInteger::IsOdd | ( |  | ) | const

## ◆ GetLength()

int vtkLargeInteger::GetLength | ( |  | ) | const

## ◆ GetBit()

int vtkLargeInteger::GetBit | ( | unsigned int | p | ) | const

## ◆ IsZero()

int vtkLargeInteger::IsZero | ( |  | ) | const

## ◆ GetSign()

int vtkLargeInteger::GetSign | ( |  | ) | const

## ◆ Truncate()

void vtkLargeInteger::Truncate | ( | unsigned int | n | ) |

## ◆ Complement()

void vtkLargeInteger::Complement | ( |  | ) |

## ◆ operator==()

bool vtkLargeInteger::operator== | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator!=()

bool vtkLargeInteger::operator!= | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator<()

bool vtkLargeInteger::operator< | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator<=()

bool vtkLargeInteger::operator<= | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator>()

bool vtkLargeInteger::operator> | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator>=()

bool vtkLargeInteger::operator>= | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator=()

vtkLargeInteger& vtkLargeInteger::operator= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator+=()

vtkLargeInteger& vtkLargeInteger::operator+= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator-=()

vtkLargeInteger& vtkLargeInteger::operator-= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator<<=()

vtkLargeInteger& vtkLargeInteger::operator<<= | ( | int | n | ) |

## ◆ operator>>=()

vtkLargeInteger& vtkLargeInteger::operator>>= | ( | int | n | ) |

## ◆ operator++() [1/2]

vtkLargeInteger& vtkLargeInteger::operator++ | ( |  | ) |

## ◆ operator--() [1/2]

vtkLargeInteger& vtkLargeInteger::operator-- | ( |  | ) |

## ◆ operator++() [2/2]

vtkLargeInteger vtkLargeInteger::operator++ | ( | int |  | ) |

## ◆ operator--() [2/2]

vtkLargeInteger vtkLargeInteger::operator-- | ( | int |  | ) |

## ◆ operator*=()

vtkLargeInteger& vtkLargeInteger::operator*= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator/=()

vtkLargeInteger& vtkLargeInteger::operator/= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator%=()

vtkLargeInteger& vtkLargeInteger::operator%= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator&=()

vtkLargeInteger& vtkLargeInteger::operator&= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator|=()

vtkLargeInteger& vtkLargeInteger::operator|= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator^=()

vtkLargeInteger& vtkLargeInteger::operator^= | ( | const vtkLargeInteger & | n | ) |

## ◆ operator+()

vtkLargeInteger vtkLargeInteger::operator+ | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator-()

vtkLargeInteger vtkLargeInteger::operator- | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator*()

vtkLargeInteger vtkLargeInteger::operator* | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator/()

vtkLargeInteger vtkLargeInteger::operator/ | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator%()

vtkLargeInteger vtkLargeInteger::operator% | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator&()

vtkLargeInteger vtkLargeInteger::operator& | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator|()

vtkLargeInteger vtkLargeInteger::operator| | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator^()

vtkLargeInteger vtkLargeInteger::operator^ | ( | const vtkLargeInteger & | n | ) | const

## ◆ operator<<()

vtkLargeInteger vtkLargeInteger::operator<< | ( | int | n | ) | const

## ◆ operator>>()

vtkLargeInteger vtkLargeInteger::operator>> | ( | int | n | ) | const

## Friends And Related Function Documentation

## ◆ operator<<

ostream& operator<< | ( | ostream & | s,
|  | const vtkLargeInteger & | n
| ) |  |
| friend

## ◆ operator>>

istream& operator>> | ( | istream & | s,
|  | vtkLargeInteger & | n
| ) |  |
| friend

The documentation for this class was generated from the following file:

- Common/Core/vtkLargeInteger.h